Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 227668 - Delay some error reports to next NetBeans start
Delay some error reports to next NetBeans start
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: Logger
7.4
All All
: P2 (vote)
: 7.4
Assigned To: Martin Entlicher
logger-issues@ide
: PLAN
Depends on:
Blocks: 206328
  Show dependency treegraph
 
Reported: 2013-03-19 17:40 UTC by Martin Entlicher
Modified: 2013-05-15 02:30 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2013-03-19 17:40:59 UTC
Some errors can seriously damage NetBeans execution and that can have impact on the ability to submit these errors via exceptions reporter.

Such errors are out of memory errors and deadlocks.

There's an idea to delay submission of these errors to the next start of NetBeans so that they can be reliably submitted.
Comment 1 David Strupl 2013-03-19 21:03:15 UTC
So there are will be an API to submit the log record so they are sent at next start. Can you please specify and implement such API? If I understand correctly the log records will contain something special ... can you please post here an example how such records get created?

Also please note that OOME comes with heap dump (and deadlock with thread dump) that needs to be transferred. While thread dump might be written directly into the messages.log when the problem happens the heap dumps must be treated specially.
Comment 2 Martin Entlicher 2013-05-13 12:27:22 UTC
Implemented for OOME by changeset:   253319:601fcbcab54d
http://hg.netbeans.org/core-main/rev/601fcbcab54d
Comment 3 Martin Entlicher 2013-05-13 13:38:32 UTC
In changeset:   253324:0d284612b66e we use NbObjectInputStream so that DeadlockException is correctly resolved.
http://hg.netbeans.org/core-main/rev/0d284612b66e
Comment 4 Martin Entlicher 2013-05-13 14:10:15 UTC
It should also cooperate well with the DeadlockException introduced by issue #206328. Therefore resolving as fixed.
Comment 5 Quality Engineering 2013-05-15 02:30:17 UTC
Integrated into 'main-golden', will be available in build *201305142300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/601fcbcab54d
User: mentlicher@netbeans.org
Log: #227668: OOME report is delayed after next start, since the IDE is likely in a bad state.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo